"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomError = void 0;
const AdapterError_cjs_1 = require("./AdapterError.cjs");
/**
 * Represents an error with a custom error message.
 */
class CustomError extends AdapterError_cjs_1.AdapterError {
    /**
     * Initializes a new instance of the {@linkcode CustomError} class.
     *
     * @param adapter
     * The adapter which caused the error.
     *
     * @param node
     * The node related to the error.
     *
     * @param context
     * The context of the operation.
     *
     * @param message
     * A message which describes the issue.
     */
    constructor(adapter, node, context, message) {
        super(adapter, node, context);
        this.customMessage = message;
    }
    /**
     * @inheritdoc
     */
    get Message() {
        return this.customMessage;
    }
}
exports.CustomError = CustomError;
//# sourceMappingURL=CustomError.cjs.map