"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IndexParsingError = void 0;
const AdapterError_cjs_1 = require("./AdapterError.cjs");
/**
 * Represents an error indicating a paring issue.
 */
class IndexParsingError extends AdapterError_cjs_1.AdapterError {
    /**
     * Initializes a new instance of the {@linkcode IndexParsingError} class.
     *
     * @param adapter
     * The adapter which caused the error.
     *
     * @param node
     * The node related to the error.
     *
     * @param context
     * The context of the operation.
     */
    constructor(adapter, node, context) {
        super(adapter, node, context);
    }
    /**
     * @inheritdoc
     */
    get Message() {
        return `Unable to parse the number from the specified expression \`${this.EscapedCode}\`.`;
    }
}
exports.IndexParsingError = IndexParsingError;
//# sourceMappingURL=IndexParsingError.cjs.map