"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvalidDefaultCallError = void 0;
const NameofCallError_cjs_1 = require("./NameofCallError.cjs");
/**
 * Represents an error indicating an incorrect `nameof` call.
 */
class InvalidDefaultCallError extends NameofCallError_cjs_1.NameofCallError {
    /**
     * Initializes a new instance of the {@linkcode InvalidDefaultCallError}.
     *
     * @param adapter
     * The adapter which caused the error.
     *
     * @param call
     * The `nameof` call related to the error.
     *
     * @param context
     * The context of the operation.
     */
    constructor(adapter, call, context) {
        super(adapter, call, context);
    }
    /**
     * @inheritdoc
     */
    get Message() {
        return `Expected 1 argument or 1 type argument, but got ${this.ArgumentCountText} and ${this.TypeArgumentCountText}.`;
    }
}
exports.InvalidDefaultCallError = InvalidDefaultCallError;
//# sourceMappingURL=InvalidDefaultCallError.cjs.map