"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvalidSegmentCallError = void 0;
const NameofCallError_cjs_1 = require("./NameofCallError.cjs");
/**
 * Represents an error indicating an invalid segmented `nameof.full` or `nameof.split` call.
 */
class InvalidSegmentCallError extends NameofCallError_cjs_1.NameofCallError {
    /**
     * Initializes a new instance of the {@linkcode InvalidSegmentCallError}.
     *
     * @param adapter
     * The adapter which caused the error.
     *
     * @param call
     * The `nameof` call related to the error.
     *
     * @param context
     * The context of the operation.
     */
    constructor(adapter, call, context) {
        super(adapter, call, context);
    }
    /**
     * @inheritdoc
     */
    get Message() {
        return `This \`${this.FunctionName}\` call is invalid. Got ${this.ArgumentCountText} and ${this.TypeArgumentCountText}. Please make sure to pass 1 argument or 1 type argument to transform.`;
    }
}
exports.InvalidSegmentCallError = InvalidSegmentCallError;
//# sourceMappingURL=InvalidSegmentCallError.cjs.map