"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MissingImportTypeQualifierError = void 0;
const AdapterError_cjs_1 = require("./AdapterError.cjs");
/**
 * Represents an error indicating that an import type is missing a qualifier.
 */
class MissingImportTypeQualifierError extends AdapterError_cjs_1.AdapterError {
    /**
     * Initializes a new instance of the {@linkcode MissingImportTypeQualifierError} class.
     *
     * @param adapter
     * The adapter which caused the error.
     *
     * @param node
     * The node related to the error.
     *
     * @param context
     * The context of the operation.
     */
    constructor(adapter, node, context) {
        super(adapter, node, context);
    }
    /**
     * @inheritdoc
     */
    get Message() {
        return `A property of the import type \`${this.EscapedCode}\` must be accessed.`;
    }
}
exports.MissingImportTypeQualifierError = MissingImportTypeQualifierError;
//# sourceMappingURL=MissingImportTypeQualifierError.cjs.map