"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MissingPropertyAccessError = void 0;
const AdapterError_cjs_1 = require("./AdapterError.cjs");
/**
 * Represents an error indicating that a function parameter is missing an accessor.
 */
class MissingPropertyAccessError extends AdapterError_cjs_1.AdapterError {
    /**
     * Initializes a new instance of the {@linkcode MissingPropertyAccessError} class.
     *
     * @param adapter
     * The adapter which caused the error.
     *
     * @param node
     * The node related to the error.
     *
     * @param context
     * The context of the operation.
     */
    constructor(adapter, node, context) {
        super(adapter, node, context);
    }
    /**
     * @inheritdoc
     */
    get Message() {
        return `A property of the expression \`${this.EscapedCode}\` must be accessed.`;
    }
}
exports.MissingPropertyAccessError = MissingPropertyAccessError;
//# sourceMappingURL=MissingPropertyAccessError.cjs.map