"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NameofError = void 0;
/**
 * Represents an error indicating an error in a `nameof` operation.
 */
class NameofError extends Error {
    /**
     * Initializes a new instance of the {@linkcode NameofError} class.
     *
     * @param name
     * The name of the error.
     *
     * @param message
     * The message of the error.
     */
    constructor(name, message) {
        super(message);
        this.name = name;
    }
    /**
     * Gets the name of the error.
     */
    get Name() {
        return this.name;
    }
    /**
     * Gets the message of the error.
     */
    get Message() {
        return this.message;
    }
}
exports.NameofError = NameofError;
//# sourceMappingURL=NameofError.cjs.map