/**
 * Represents an error indicating an error in a `nameof` operation.
 */
export declare class NameofError extends Error {
    /**
     * Initializes a new instance of the {@linkcode NameofError} class.
     *
     * @param name
     * The name of the error.
     *
     * @param message
     * The message of the error.
     */
    constructor(name: string, message: string);
    /**
     * Gets the name of the error.
     */
    get Name(): string;
    /**
     * Gets the message of the error.
     */
    get Message(): string;
}
