"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NestedNameofError = void 0;
const AdapterError_cjs_1 = require("./AdapterError.cjs");
/**
 * Represents an error indicating that an unsupported nested `nameof` call was found.
 */
class NestedNameofError extends AdapterError_cjs_1.AdapterError {
    /**
     * Initializes a new instance of the {@linkcode NestedNameofError} class.
     *
     * @param adapter
     * The adapter which caused the error.
     *
     * @param node
     * The node related to the error.
     *
     * @param context
     * The context of the operation.
     */
    constructor(adapter, node, context) {
        super(adapter, node, context);
    }
    /**
     * @inheritdoc
     */
    get Message() {
        return `Nested \`${this.NameofName}\` expressions in \`${this.NameofName}()\` calls are not supported.`;
    }
}
exports.NestedNameofError = NestedNameofError;
//# sourceMappingURL=NestedNameofError.cjs.map