"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NoReturnExpressionError = void 0;
const AdapterError_cjs_1 = require("./AdapterError.cjs");
/**
 * Represents an error indicating that no return expression was found in a function.
 */
class NoReturnExpressionError extends AdapterError_cjs_1.AdapterError {
    /**
     * Initializes a new instance of the {@linkcode NoReturnExpressionError} class.
     *
     * @param adapter
     * The adapter which caused the error.
     *
     * @param node
     * The node related to the error.
     *
     * @param context
     * The context of the operation.
     */
    constructor(adapter, node, context) {
        super(adapter, node, context);
    }
    /**
     * @inheritdoc
     */
    get Message() {
        return "Unable to find a returned expression in the specified function.";
    }
}
exports.NoReturnExpressionError = NoReturnExpressionError;
//# sourceMappingURL=NoReturnExpressionError.cjs.map