"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SegmentNotFoundError = void 0;
const NameofCallError_cjs_1 = require("./NameofCallError.cjs");
/**
 * Represents an error indicating that the requested segment could not be found.
 */
class SegmentNotFoundError extends NameofCallError_cjs_1.NameofCallError {
    /**
     * Initializes a new instance of the {@linkcode SegmentNotFoundError} class.
     *
     * @param adapter
     * The adapter which caused the error.
     *
     * @param call
     * The `nameof` call which caused the error.
     *
     * @param context
     * The context of the operation.
     */
    constructor(adapter, call, context) {
        super(adapter, call, context);
    }
    /**
     * @inheritdoc
     */
    get Message() {
        return "There is no segment left at the specified index.";
    }
}
exports.SegmentNotFoundError = SegmentNotFoundError;
//# sourceMappingURL=SegmentNotFoundError.cjs.map