"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnsupportedAccessorTypeError = void 0;
const AdapterError_cjs_1 = require("./AdapterError.cjs");
/**
 * Represents an error indicating an invalid accessor type.
 */
class UnsupportedAccessorTypeError extends AdapterError_cjs_1.AdapterError {
    /**
     * Initializes a new instance of the {@linkcode UnsupportedAccessorTypeError} class.
     *
     * @param adapter
     * The adapter which caused the error.
     *
     * @param node
     * The node related to the error.
     *
     * @param context
     * The context of the operation.
     */
    constructor(adapter, node, context) {
        super(adapter, node, context);
    }
    /**
     * @inheritdoc
     */
    get Message() {
        return `The specified expression \`${this.EscapedCode}\` is an invalid accessor type. Expected a string or a number.`;
    }
}
exports.UnsupportedAccessorTypeError = UnsupportedAccessorTypeError;
//# sourceMappingURL=UnsupportedAccessorTypeError.cjs.map