import { AdapterError } from "./AdapterError.cjs";
import { IAdapter } from "../Transformation/IAdapter.cjs";
/**
 * Represents an error indicating an invalid accessor type.
 */
export declare class UnsupportedAccessorTypeError<TInput, TNode, TContext> extends AdapterError<TInput, TNode, TContext> {
    /**
     * Initializes a new instance of the {@linkcode UnsupportedAccessorTypeError} class.
     *
     * @param adapter
     * The adapter which caused the error.
     *
     * @param node
     * The node related to the error.
     *
     * @param context
     * The context of the operation.
     */
    constructor(adapter: IAdapter<TInput, TNode, TContext>, node: TNode, context: TContext);
    /**
     * @inheritdoc
     */
    protected get Message(): string;
}
