"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnsupportedFunctionError = void 0;
const NameofCallError_cjs_1 = require("./NameofCallError.cjs");
/**
 * Represents an error indicating that a non-existent function has been called.
 */
class UnsupportedFunctionError extends NameofCallError_cjs_1.NameofCallError {
    /**
     * Initializes a new instance of the {@linkcode UnsupportedFunctionError} class.
     *
     * @param adapter
     * The adapter which caused the error.
     *
     * @param call
     * The `nameof` call which caused the error.
     *
     * @param context
     * The context of the operation.
     */
    constructor(adapter, call, context) {
        super(adapter, call, context);
    }
    /**
     * @inheritdoc
     */
    get Message() {
        return `The requested function \`${this.FunctionName}\` does not exist.`;
    }
}
exports.UnsupportedFunctionError = UnsupportedFunctionError;
//# sourceMappingURL=UnsupportedFunctionError.cjs.map