import { NameofCallError } from "./NameofCallError.cjs";
import { NameofCall } from "../Serialization/NameofCall.cjs";
import { IAdapter } from "../Transformation/IAdapter.cjs";
/**
 * Represents an error indicating that a non-existent function has been called.
 */
export declare class UnsupportedFunctionError<TInput, TNode, TContext> extends NameofCallError<TInput, TNode, TContext> {
    /**
     * Initializes a new instance of the {@linkcode UnsupportedFunctionError} class.
     *
     * @param adapter
     * The adapter which caused the error.
     *
     * @param call
     * The `nameof` call which caused the error.
     *
     * @param context
     * The context of the operation.
     */
    constructor(adapter: IAdapter<TInput, TNode, TContext>, call: NameofCall<TNode>, context: TContext);
    /**
     * @inheritdoc
     */
    protected get Message(): string;
}
