"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnsupportedNodeError = void 0;
const AdapterError_cjs_1 = require("./AdapterError.cjs");
/**
 * Represents an error indicating that an unsupported node was found.
 */
class UnsupportedNodeError extends AdapterError_cjs_1.AdapterError {
    /**
     * Initializes a new instance of the {@linkcode UnsupportedNodeError} class.
     *
     * @param adapter
     * The adapter which caused the error.
     *
     * @param node
     * The node related to the error.
     *
     * @param context
     * The context of the operation.
     */
    constructor(adapter, node, context) {
        super(adapter, node, context);
    }
    /**
     * @inheritdoc
     */
    get Message() {
        return `The expression \`${this.EscapedCode}\` is not supported.`;
    }
}
exports.UnsupportedNodeError = UnsupportedNodeError;
//# sourceMappingURL=UnsupportedNodeError.cjs.map