"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnsupportedScenarioError = void 0;
const AdapterError_cjs_1 = require("./AdapterError.cjs");
/**
 * Represents an error indicating that a node was used in an unsupported scenario.
 */
class UnsupportedScenarioError extends AdapterError_cjs_1.AdapterError {
    /**
     * Initializes a new instance of the {@linkcode UnsupportedNodeError} class.
     *
     * @param adapter
     * The adapter which caused the error.
     *
     * @param node
     * The node related to the error.
     *
     * @param context
     * The context of the operation.
     */
    constructor(adapter, node, context) {
        super(adapter, node, context);
    }
    /**
     * @inheritdoc
     */
    get Message() {
        return `The expression \`${this.EscapedCode}\` is not supported in this scenario.`;
    }
}
exports.UnsupportedScenarioError = UnsupportedScenarioError;
//# sourceMappingURL=UnsupportedScenarioError.cjs.map