"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnusedInterpolationError = void 0;
const AdapterError_cjs_1 = require("./AdapterError.cjs");
/**
 * Represents an error indicating an unused `nameof.interpolate` call.
 */
class UnusedInterpolationError extends AdapterError_cjs_1.AdapterError {
    /**
     * Initializes a new instance of the {@linkcode UnsupportedNodeError} class.
     *
     * @param adapter
     * The adapter which caused the error.
     *
     * @param node
     * The node related to the error.
     *
     * @param context
     * The context of the operation.
     */
    constructor(adapter, node, context) {
        super(adapter, node, context);
    }
    /**
     * @inheritdoc
     */
    get Message() {
        return `The interpolation call \`${this.EscapedCode}\` is unused. Expected interpolation calls to be used inside a \`${this.NameofName}.${"full" /* NameofFunction.Full */}\` call.`;
    }
}
exports.UnusedInterpolationError = UnusedInterpolationError;
//# sourceMappingURL=UnusedInterpolationError.cjs.map