"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessExpressionNode = void 0;
const Node_cjs_1 = require("./Node.cjs");
/**
 * Represents a member access.
 */
class AccessExpressionNode extends Node_cjs_1.Node {
    /**
     * Initializes a new instance of the {@linkcode PropertyAccessNode} class.
     *
     * @param source
     * The source of the node.
     *
     * @param expression
     * The expression of the member access operation.
     *
     * @param property
     * The property to access.
     */
    constructor(source, expression, property) {
        super(source);
        this.expression = expression;
        this.property = property;
    }
    /**
     * @inheritdoc
     */
    get Expression() {
        return this.expression;
    }
    /**
     * Gets the index to access.
     */
    get Property() {
        return this.property;
    }
    /**
     * @inheritdoc
     */
    get Path() {
        return [
            ...this.Expression.Path,
            this.PathPart
        ];
    }
    /**
     * @inheritdoc
     */
    get Root() {
        return this.Expression.Root;
    }
}
exports.AccessExpressionNode = AccessExpressionNode;
//# sourceMappingURL=AccessExpressionNode.cjs.map