"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CallExpressionNode = void 0;
const CallNodeBase_cjs_1 = require("./CallNodeBase.cjs");
/**
 * Represents a call expression node.
 */
class CallExpressionNode extends CallNodeBase_cjs_1.CallNodeBase {
    /**
     * Initializes a new instance of the {@linkcode CallExpressionNode} class.
     *
     * @param source
     * The source of the node.
     *
     * @param expression
     * The expression to call.
     *
     * @param typeArguments
     * The type arguments of the call.
     *
     * @param args
     * The arguments of the call.
     */
    constructor(source, expression, typeArguments, args) {
        super(source, typeArguments, args);
        /**
         * @inheritdoc
         */
        this.Type = "CallExpressionNode" /* NodeKind.CallExpressionNode */;
        this.expression = expression;
    }
    /**
     * Gets the expression to call.
     */
    get Expression() {
        return this.expression;
    }
}
exports.CallExpressionNode = CallExpressionNode;
//# sourceMappingURL=CallExpressionNode.cjs.map