"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CallNodeBase = void 0;
const Node_cjs_1 = require("./Node.cjs");
/**
 * Represents a call expression node.
 */
class CallNodeBase extends Node_cjs_1.Node {
    /**
     * Initializes a new instance of the {@linkcode CallNodeBase} class.
     *
     * @param source
     * The source of the node.
     *
     * @param typeArguments
     * The type arguments of the call.
     *
     * @param args
     * The arguments of the call.
     */
    constructor(source, typeArguments, args) {
        super(source);
        this.typeArguments = typeArguments;
        this.arguments = args;
    }
    /**
     * Gets the type arguments of the call.
     */
    get TypeArguments() {
        return this.typeArguments;
    }
    /**
     * Gets the arguments of the call.
     */
    get Arguments() {
        return this.arguments;
    }
}
exports.CallNodeBase = CallNodeBase;
//# sourceMappingURL=CallNodeBase.cjs.map