"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FunctionNode = void 0;
const Node_cjs_1 = require("./Node.cjs");
/**
 * Represents a function node.
 */
class FunctionNode extends Node_cjs_1.Node {
    /**
     * Initializes a new instance of the {@linkcode FunctionNode} class.
     *
     * @param source
     * The source of the node.
     *
     * @param parameters
     * The arguments of the function.
     *
     * @param body
     * The body of the function.
     */
    constructor(source, parameters, body) {
        super(source);
        /**
         * @inheritdoc
         */
        this.Type = "FunctionNode" /* NodeKind.FunctionNode */;
        this.parameters = parameters;
        this.body = body;
    }
    /**
     * Gets the parameters of the function.
     */
    get Parameters() {
        return this.parameters;
    }
    /**
     * Gets the body of the function.
     */
    get Body() {
        return this.body;
    }
}
exports.FunctionNode = FunctionNode;
//# sourceMappingURL=FunctionNode.cjs.map