"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IdentifierNode = void 0;
const Node_cjs_1 = require("./Node.cjs");
/**
 * Represents an identifier node.
 */
class IdentifierNode extends Node_cjs_1.Node {
    /**
     * Initializes a new instance of the {@linkcode IdentifierNode} class.
     *
     * @param source
     * The source of the node.
     *
     * @param name
     * The name of the identifier.
     */
    constructor(source, name) {
        super(source);
        /**
         * @inheritdoc
         */
        this.Type = "IdentifierNode" /* NodeKind.IdentifierNode */;
        this.name = name;
    }
    /**
     * Gets the name of the identifier.
     */
    get Name() {
        return this.name;
    }
    /**
     * @inheritdoc
     */
    get PathPart() {
        return {
            type: "Identifier" /* PathKind.Identifier */,
            source: this.Source,
            value: this.Name
        };
    }
}
exports.IdentifierNode = IdentifierNode;
//# sourceMappingURL=IdentifierNode.cjs.map