import { Node } from "./Node.cjs";
import { NodeKind } from "./NodeKind.cjs";
import { PathPartCandidate } from "./PathPartCandidate.cjs";
/**
 * Represents an identifier node.
 */
export declare class IdentifierNode<T> extends Node<T> {
    /**
     * @inheritdoc
     */
    readonly Type = NodeKind.IdentifierNode;
    /**
     * The name of the identifier.
     */
    private name;
    /**
     * Initializes a new instance of the {@linkcode IdentifierNode} class.
     *
     * @param source
     * The source of the node.
     *
     * @param name
     * The name of the identifier.
     */
    constructor(source: T, name: string);
    /**
     * Gets the name of the identifier.
     */
    get Name(): string;
    /**
     * @inheritdoc
     */
    get PathPart(): PathPartCandidate<T>;
}
