import { AccessExpressionNode } from "./AccessExpressionNode.cjs";
import { NodeKind } from "./NodeKind.cjs";
import { ParsedNode } from "./ParsedNode.cjs";
import { PathPartCandidate } from "./PathPartCandidate.cjs";
/**
 * Represents an index access node.
 */
export declare class IndexAccessNode<T> extends AccessExpressionNode<T> {
    /**
     * @inheritdoc
     */
    readonly Type = NodeKind.IndexAccessNode;
    /**
     * Initializes a new instance of the {@linkcode IndexAccessNode} class.
     *
     * @param source
     * The source of the node.
     *
     * @param expression
     * The expression of the index access operation.
     *
     * @param property
     * The property to access.
     */
    constructor(source: T, expression: ParsedNode<T>, property: ParsedNode<T>);
    /**
     * @inheritdoc
     */
    get PathPart(): PathPartCandidate<T>;
}
