"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Node = void 0;
/**
 * Represents a node.
 */
class Node {
    /**
     * Initializes a new instance of the {@linkcode Node} class.
     *
     * @param source
     * The source of the node.
     */
    constructor(source) {
        this.source = source;
    }
    /**
     * Gets the source of the node.
     */
    get Source() {
        return this.source;
    }
    /**
     * Gets the expression path component of this node.
     */
    get PathPart() {
        return {
            type: "Unsupported" /* PathKind.Unsupported */,
            source: this.Source
        };
    }
    /**
     * The full path of the node.
     */
    get Path() {
        return [this.PathPart];
    }
    /**
     * Gets the root of the node.
     */
    get Root() {
        return this;
    }
}
exports.Node = Node;
//# sourceMappingURL=Node.cjs.map