"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumericLiteralNode = void 0;
const Node_cjs_1 = require("./Node.cjs");
/**
 * Represents a numeric literal node.
 */
class NumericLiteralNode extends Node_cjs_1.Node {
    /**
     * Initializes a new instance of the {@linkcode NumericLiteralNode} class.
     *
     * @param source
     * The source of the node.
     *
     * @param value
     * The value of the node.
     */
    constructor(source, value) {
        super(source);
        /**
         * @inheritdoc
         */
        this.Type = "NumericLiteralNode" /* NodeKind.NumericLiteralNode */;
        this.value = value;
    }
    /**
     * Gets the value of the node.
     */
    get Value() {
        return this.value;
    }
}
exports.NumericLiteralNode = NumericLiteralNode;
//# sourceMappingURL=NumericLiteralNode.cjs.map