import { Node } from "./Node.cjs";
import { NodeKind } from "./NodeKind.cjs";
/**
 * Represents a numeric literal node.
 */
export declare class NumericLiteralNode<T> extends Node<T> {
    /**
     * @inheritdoc
     */
    readonly Type = NodeKind.NumericLiteralNode;
    /**
     * The value of the node.
     */
    private value;
    /**
     * Initializes a new instance of the {@linkcode NumericLiteralNode} class.
     *
     * @param source
     * The source of the node.
     *
     * @param value
     * The value of the node.
     */
    constructor(source: T, value: number);
    /**
     * Gets the value of the node.
     */
    get Value(): number;
}
