"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PropertyAccessNode = void 0;
const AccessExpressionNode_cjs_1 = require("./AccessExpressionNode.cjs");
/**
 * Represents a property access.
 */
class PropertyAccessNode extends AccessExpressionNode_cjs_1.AccessExpressionNode {
    /**
     * Initializes a new instance of the {@linkcode PropertyAccessNode} class.
     *
     * @param source
     * The source of the node.
     *
     * @param expression
     * The expression of the property access operation.
     *
     * @param property
     * The property to access.
     *
     * @param propertyName
     * The name of the property to access.
     */
    constructor(source, expression, property, propertyName) {
        super(source, expression, property);
        /**
         * @inheritdoc
         */
        this.Type = "PropertyAccessNode" /* NodeKind.PropertyAccessNode */;
        this.propertyName = propertyName;
    }
    /**
     * Gets the name of the property to access.
     */
    get PropertyName() {
        return this.propertyName;
    }
    /**
     * @inheritdoc
     */
    get PathPart() {
        return {
            type: "PropertyAccess" /* PathKind.PropertyAccess */,
            source: this.Source,
            value: this.PropertyName
        };
    }
}
exports.PropertyAccessNode = PropertyAccessNode;
//# sourceMappingURL=PropertyAccessNode.cjs.map