"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringLiteralNode = void 0;
const Node_cjs_1 = require("./Node.cjs");
/**
 * Represents a string literal node.
 */
class StringLiteralNode extends Node_cjs_1.Node {
    /**
     * Initializes a new instance of the {@linkcode StringLiteralNode} class.
     *
     * @param source
     * The source of the node.
     *
     * @param text
     * The text of the node.
     */
    constructor(source, text) {
        super(source);
        /**
         * @inheritdoc
         */
        this.Type = "StringLiteralNode" /* NodeKind.StringLiteralNode */;
        this.text = text;
    }
    /**
     * Gets the text of the node.
     */
    get Text() {
        return this.text;
    }
}
exports.StringLiteralNode = StringLiteralNode;
//# sourceMappingURL=StringLiteralNode.cjs.map