import { Node } from "./Node.cjs";
import { NodeKind } from "./NodeKind.cjs";
/**
 * Represents a string literal node.
 */
export declare class StringLiteralNode<T> extends Node<T> {
    /**
     * @inheritdoc
     */
    readonly Type = NodeKind.StringLiteralNode;
    /**
     * The text of the node.
     */
    private text;
    /**
     * Initializes a new instance of the {@linkcode StringLiteralNode} class.
     *
     * @param source
     * The source of the node.
     *
     * @param text
     * The text of the node.
     */
    constructor(source: T, text: string);
    /**
     * Gets the text of the node.
     */
    get Text(): string;
}
