"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnsupportedNode = void 0;
const Node_cjs_1 = require("./Node.cjs");
/**
 * Represents an unsupported node.
 */
class UnsupportedNode extends Node_cjs_1.Node {
    /**
     * Initializes a new instance of the {@linkcode UnsupportedNode} class.
     *
     * @param source
     * The source of the node.
     *
     * @param reason
     * The reason for the node being unsupported.
     */
    constructor(source, reason) {
        super(source);
        /**
         * @inheritdoc
         */
        this.Type = "" /* NodeKind.UnsupportedNode */;
        this.reason = reason;
    }
    /**
     * Gets the reason for the node being unsupported.
     */
    get Reason() {
        return this.reason;
    }
    /**
     * @inheritdoc
     */
    get PathPart() {
        return {
            type: "Unsupported" /* PathKind.Unsupported */,
            source: this.Source,
            reason: this.Reason
        };
    }
}
exports.UnsupportedNode = UnsupportedNode;
//# sourceMappingURL=UnsupportedNode.cjs.map