"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransformerFeatures = exports.TransformerBase = exports.ErrorHandler = exports.Adapter = exports.UnsupportedNode = exports.StringLiteralNode = exports.PropertyAccessNode = exports.NumericLiteralNode = exports.IdentifierNode = exports.IndexAccessNode = exports.FunctionNode = exports.CallNodeBase = exports.CallExpressionNode = exports.ResultType = exports.UnusedInterpolationError = exports.UnsupportedScenarioError = exports.UnsupportedNodeError = exports.UnsupportedAccessorTypeError = exports.SegmentNotFoundError = exports.NoReturnExpressionError = exports.NestedNameofError = exports.MissingPropertyAccessError = exports.MissingImportTypeQualifierError = exports.InvalidSegmentCallError = exports.InvalidDefaultCallError = exports.InvalidArgumentCountError = exports.IndexParsingError = exports.IndexOutOfBoundsError = exports.NameofError = void 0;
var NameofError_cjs_1 = require("./Diagnostics/NameofError.cjs");
Object.defineProperty(exports, "NameofError", { enumerable: true, get: function () { return NameofError_cjs_1.NameofError; } });
var IndexOutOfBoundsError_cjs_1 = require("./Diagnostics/IndexOutOfBoundsError.cjs");
Object.defineProperty(exports, "IndexOutOfBoundsError", { enumerable: true, get: function () { return IndexOutOfBoundsError_cjs_1.IndexOutOfBoundsError; } });
var IndexParsingError_cjs_1 = require("./Diagnostics/IndexParsingError.cjs");
Object.defineProperty(exports, "IndexParsingError", { enumerable: true, get: function () { return IndexParsingError_cjs_1.IndexParsingError; } });
var InvalidArgumentCountError_cjs_1 = require("./Diagnostics/InvalidArgumentCountError.cjs");
Object.defineProperty(exports, "InvalidArgumentCountError", { enumerable: true, get: function () { return InvalidArgumentCountError_cjs_1.InvalidArgumentCountError; } });
var InvalidDefaultCallError_cjs_1 = require("./Diagnostics/InvalidDefaultCallError.cjs");
Object.defineProperty(exports, "InvalidDefaultCallError", { enumerable: true, get: function () { return InvalidDefaultCallError_cjs_1.InvalidDefaultCallError; } });
var InvalidSegmentCallError_cjs_1 = require("./Diagnostics/InvalidSegmentCallError.cjs");
Object.defineProperty(exports, "InvalidSegmentCallError", { enumerable: true, get: function () { return InvalidSegmentCallError_cjs_1.InvalidSegmentCallError; } });
var MissingImportTypeQualifierError_cjs_1 = require("./Diagnostics/MissingImportTypeQualifierError.cjs");
Object.defineProperty(exports, "MissingImportTypeQualifierError", { enumerable: true, get: function () { return MissingImportTypeQualifierError_cjs_1.MissingImportTypeQualifierError; } });
var MissingPropertyAccessError_cjs_1 = require("./Diagnostics/MissingPropertyAccessError.cjs");
Object.defineProperty(exports, "MissingPropertyAccessError", { enumerable: true, get: function () { return MissingPropertyAccessError_cjs_1.MissingPropertyAccessError; } });
var NestedNameofError_cjs_1 = require("./Diagnostics/NestedNameofError.cjs");
Object.defineProperty(exports, "NestedNameofError", { enumerable: true, get: function () { return NestedNameofError_cjs_1.NestedNameofError; } });
var NoReturnExpressionError_cjs_1 = require("./Diagnostics/NoReturnExpressionError.cjs");
Object.defineProperty(exports, "NoReturnExpressionError", { enumerable: true, get: function () { return NoReturnExpressionError_cjs_1.NoReturnExpressionError; } });
var SegmentNotFoundError_cjs_1 = require("./Diagnostics/SegmentNotFoundError.cjs");
Object.defineProperty(exports, "SegmentNotFoundError", { enumerable: true, get: function () { return SegmentNotFoundError_cjs_1.SegmentNotFoundError; } });
var UnsupportedAccessorTypeError_cjs_1 = require("./Diagnostics/UnsupportedAccessorTypeError.cjs");
Object.defineProperty(exports, "UnsupportedAccessorTypeError", { enumerable: true, get: function () { return UnsupportedAccessorTypeError_cjs_1.UnsupportedAccessorTypeError; } });
var UnsupportedNodeError_cjs_1 = require("./Diagnostics/UnsupportedNodeError.cjs");
Object.defineProperty(exports, "UnsupportedNodeError", { enumerable: true, get: function () { return UnsupportedNodeError_cjs_1.UnsupportedNodeError; } });
var UnsupportedScenarioError_cjs_1 = require("./Diagnostics/UnsupportedScenarioError.cjs");
Object.defineProperty(exports, "UnsupportedScenarioError", { enumerable: true, get: function () { return UnsupportedScenarioError_cjs_1.UnsupportedScenarioError; } });
var UnusedInterpolationError_cjs_1 = require("./Diagnostics/UnusedInterpolationError.cjs");
Object.defineProperty(exports, "UnusedInterpolationError", { enumerable: true, get: function () { return UnusedInterpolationError_cjs_1.UnusedInterpolationError; } });
var ResultType_cjs_1 = require("./ResultType.cjs");
Object.defineProperty(exports, "ResultType", { enumerable: true, get: function () { return ResultType_cjs_1.ResultType; } });
var CallExpressionNode_cjs_1 = require("./Serialization/CallExpressionNode.cjs");
Object.defineProperty(exports, "CallExpressionNode", { enumerable: true, get: function () { return CallExpressionNode_cjs_1.CallExpressionNode; } });
var CallNodeBase_cjs_1 = require("./Serialization/CallNodeBase.cjs");
Object.defineProperty(exports, "CallNodeBase", { enumerable: true, get: function () { return CallNodeBase_cjs_1.CallNodeBase; } });
var FunctionNode_cjs_1 = require("./Serialization/FunctionNode.cjs");
Object.defineProperty(exports, "FunctionNode", { enumerable: true, get: function () { return FunctionNode_cjs_1.FunctionNode; } });
var IndexAccessNode_cjs_1 = require("./Serialization/IndexAccessNode.cjs");
Object.defineProperty(exports, "IndexAccessNode", { enumerable: true, get: function () { return IndexAccessNode_cjs_1.IndexAccessNode; } });
var IdentifierNode_cjs_1 = require("./Serialization/IdentifierNode.cjs");
Object.defineProperty(exports, "IdentifierNode", { enumerable: true, get: function () { return IdentifierNode_cjs_1.IdentifierNode; } });
var NumericLiteralNode_cjs_1 = require("./Serialization/NumericLiteralNode.cjs");
Object.defineProperty(exports, "NumericLiteralNode", { enumerable: true, get: function () { return NumericLiteralNode_cjs_1.NumericLiteralNode; } });
var PropertyAccessNode_cjs_1 = require("./Serialization/PropertyAccessNode.cjs");
Object.defineProperty(exports, "PropertyAccessNode", { enumerable: true, get: function () { return PropertyAccessNode_cjs_1.PropertyAccessNode; } });
var StringLiteralNode_cjs_1 = require("./Serialization/StringLiteralNode.cjs");
Object.defineProperty(exports, "StringLiteralNode", { enumerable: true, get: function () { return StringLiteralNode_cjs_1.StringLiteralNode; } });
var UnsupportedNode_cjs_1 = require("./Serialization/UnsupportedNode.cjs");
Object.defineProperty(exports, "UnsupportedNode", { enumerable: true, get: function () { return UnsupportedNode_cjs_1.UnsupportedNode; } });
var Adapter_cjs_1 = require("./Transformation/Adapter.cjs");
Object.defineProperty(exports, "Adapter", { enumerable: true, get: function () { return Adapter_cjs_1.Adapter; } });
var ErrorHandler_cjs_1 = require("./Transformation/ErrorHandler.cjs");
Object.defineProperty(exports, "ErrorHandler", { enumerable: true, get: function () { return ErrorHandler_cjs_1.ErrorHandler; } });
var TransformerBase_cjs_1 = require("./Transformation/TransformerBase.cjs");
Object.defineProperty(exports, "TransformerBase", { enumerable: true, get: function () { return TransformerBase_cjs_1.TransformerBase; } });
var TransformerFeatures_cjs_1 = require("./Transformation/TransformerFeatures.cjs");
Object.defineProperty(exports, "TransformerFeatures", { enumerable: true, get: function () { return TransformerFeatures_cjs_1.TransformerFeatures; } });
//# sourceMappingURL=index.cjs.map